﻿using System.Windows.Media;

namespace XHWK.Model
{
    /// <summary>
    /// 画板模型
    /// </summary>
    public class Model_DrawData
    {
        private int _PageNum;
        private string _pageCode;
        private string _pageImagePath;
        private TranslateTransform _ImageLocation = new TranslateTransform(0, 0);
        //private ScaleTransform _ImageSize = new ScaleTransform(0, 0);
        private ScaleTransform _ImageSizes = new ScaleTransform(0, 0);
        private bool _IsImageLocation;
        //private string _PenColor;
        //private int _PenWigth;
        //private List<PointF> _Handwriting;
        private string _pdfImagePath;
        private bool _imgDocumentation;
        private string _type;
        /// <summary>
        /// 页码
        /// </summary>
        public int PageNum { get => _PageNum; set => _PageNum = value; }
        /// <summary>
        /// 页编号
        /// </summary>
        public string PageCode { get => _pageCode; set => _pageCode = value; }
        /// <summary>
        /// 页面图片路径
        /// </summary>
        public string PageImagePath { get => _pageImagePath; set => _pageImagePath = value; }
        /// <summary>
        /// 图片坐标
        /// </summary>
        public TranslateTransform ImageLocation { get => _ImageLocation; set => _ImageLocation = value; }
        ///// <summary>
        ///// 图片大小
        ///// </summary>
        //public ScaleTransform ImageSize { get => _ImageSize; set => _ImageSize = value; }
        /// <summary>
        /// PDF 图片路径
        /// </summary>
        public string PdfImagePath { get => _pdfImagePath; set => _pdfImagePath = value; }
        /// <summary>
        /// 坐标是否固定
        /// </summary>
        public bool IsImageLocation { get => _IsImageLocation; set => _IsImageLocation = value; }
        /// <summary>
        /// true 文档图片  folse 截图图片
        /// </summary>
        public bool ImgDocumentation { get => _imgDocumentation; set => _imgDocumentation = value; }
        public ScaleTransform ImageSizes { get => _ImageSizes; set => _ImageSizes = value; }
        /// <summary>
        /// ppt word
        /// </summary>
        public string Type { get => _type; set => _type = value; }
        ///// <summary>
        ///// 笔颜色 十六进制
        ///// </summary>
        //public string PenColor { get => _PenColor; set => _PenColor = value; }
        ///// <summary>
        ///// 线宽
        ///// </summary>
        //public int PenWigth { get => _PenWigth; set => _PenWigth = value; }
        ///// <summary>
        ///// 笔迹 暂无
        ///// </summary>
        //public List<PointF> Handwriting { get => _Handwriting; set => _Handwriting = value; }
    }
}
