﻿using System.Collections.ObjectModel;

namespace XHWK.Model
{
    public class Model_Page : NotifyModel
    {
        public ObservableCollection<Model_Canvas> menuList { get; set; }

        /// <summary>
        /// 总页码
        /// </summary>
        private int _pagenum = 0;

        /// <summary>
        /// 总页码
        /// </summary>
        public int pagenum
        {
            get => _pagenum;
            set { _pagenum = value; OnPropertyChanged("pagenum"); }
        }

        /// <summary>
        /// 当前页 从1开始
        /// </summary>
        private int _currpage = 0;// 从1开始

        /// <summary>
        /// 当前页 从1开始
        /// </summary>
        public int currpage
        {
            get => _currpage;
            set { _currpage = value; OnPropertyChanged("currpage"); }
        }

        public Model_Page()
        {
            menuList = new ObservableCollection<Model_Canvas>();
        }

        /// <summary>
        /// 文字大小20px
        /// </summary>
        public double WordSize20 { get; set; }
        /// <summary>
        /// 文字大小18px
        /// </summary>
        public double WordSize18 { get; set; }
        /// <summary>
        /// 文字大小16px
        /// </summary>
        public double WordSize16 { get; set; }
        /// <summary>
        /// 文字大小14px
        /// </summary>
        public double WordSize14 { get; set; }
        /// <summary>
        /// 文字大小12px
        /// </summary>
        public double WordSize12 { get; set; }
    }
}
